import _extends from 'babel-runtime/helpers/extends';
import PropTypes from 'ant-design-vue/es/_util/vue-types';
import ATable from 'ant-design-vue/es/table';

var bigTableProps = _extends({}, ATable.props, {
  // 上一页下一页的id的值,未传则使用了rowKey
  idKey: PropTypes.string,
  // 获取列表数据的方法，返回一个Promise
  data: PropTypes.func.required,
  // 分页数，默认1页10条
  pageSize: PropTypes.number.def(10),
  // 展示分页器
  showPager: PropTypes.bool.def(true)
});

export default bigTableProps;