import PropTypes from 'ant-design-vue/es/_util/vue-types';
import _extends from 'babel-runtime/helpers/extends';
import { selectProps } from '../Select';

var suggestSelectProps = _extends({}, selectProps, {
  // 传入select的value是否包含label，因为建议搜索可能没有列表数据，但有默认值
  labelInValue: PropTypes.bool.def(false),
  // 选中的值对应的文字展示
  label: PropTypes.string,
  // 获取数据
  loadList: PropTypes.func,
  // 无值时文字提示
  placeholder: PropTypes.string.def('请输入')
});

export default suggestSelectProps;